# PhasicFlow: src/phasicFlow/types/basicTypes/builtinTypes.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

builtinTypes.hpp File Reference
Include dependency graph for builtinTypes.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow

## Macros

#define | useDouble 0

## Typedefs

using | real = float
using | int8 = signed char
using | int32 = int
using | int64 = long long int
using | uint8 = unsigned char
using | uint32 = unsigned int
using | uint64 = unsigned long long int
using | id_t = uint32
using | size_t = std::size_t
using | word = std::string

## Functions

word | floatingPointDescription ()

## Variables

const char * | floatingPointType__ = "float"
const bool | usingDouble__ = false
const int | numBytesForReal__ = sizeof(real)

## Macro Definition Documentation

## useDouble

#define useDouble 0

Definition at line 36 of file builtinTypes.hpp.